---
search:
  tags:
    - Pipelines
    - PUT
seo:
  description: >-
    Reference for the PUT
    /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_componen…
sidebar:
  label: Update a pipeline stage component
  badge: PUT
title: Update a pipeline stage component
type: openapi-operation
---
Updates how a stage deploys one of its components.

`PUT /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}/components/{pipeline_stage_component_id}`

**Request body** (`application/json`, required)

- `is_required` (boolean)
- `timeout_seconds` (integer | null)

Request body example:

```json
{
  "is_required": true,
  "timeout_seconds": 1
}
```

**Responses**

- `200` — Pipeline stage component updated successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "stage_id": "f38d2b9c-0a0a-4eea-91a8-e974413bb670",
  "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b",
  "component_kind": "Kjob",
  "is_required": true,
  "timeout_seconds": 0,
  "created_at": "2019-08-24T14:15:22Z"
}
```
